diff scripts/update-po.sh @ 779:087d3ff0aa08 pyntnclick

Move po scripts into scripts. Bundle msgfmt.py from cpython too
author Stefano Rivera <stefano@rivera.za.net>
date Sat, 26 Jan 2013 18:38:27 +0200
parents update-po.sh@4ea237bbcef8
children abfa4f7e89a0
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/scripts/update-po.sh	Sat Jan 26 18:38:27 2013 +0200
@@ -0,0 +1,11 @@
+#!/bin/sh
+
+# Updates translation catalogs
+
+set -eu
+
+xgettext -f po/POTFILES -o po/suspended-sentence.pot
+
+for f in po/*.po; do
+  msgmerge -U $f po/suspended-sentence.pot;
+done